#!/usr/bin/perl -w

# plook, part of the pabber family of Exchange-No-More utilities.

# pabber is an attempt to add the functionally of the Personal Address
# Book found in Microsoft Exchange/Outlook. pabber will allow a user
# to search the Global Address Book and add users to pine's .addressbook
# file. It does this using LDAP routines that hook it into an Exchange
# server. Obviously, the user will need to have read access to such
# a beast.

# this piece uses the plook code to make a scrolling list of the results

# plook is Copyright (c) 2000  Marc Richter - marc@vitinc.com
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

use Tk;


my @entries = qw/richter lucente latshaw mcentee morris davies/;

my $entr ;

sub freshen; # need to forward declare

# gimme some GUI!

$mw = MainWindow->new;

$mw->title("pabber - GUI test");

my $lb = $mw->Scrolled("Listbox", -scrollbars => "osoe")->pack(-side=>"left");

$lb->bind("<Button-1>", sub {freshen;});

foreach $entr (@entries)
{
    $lb->insert("end", $entr);
}

$mw->Button(-text =>"Exit",
	    -command => sub{exit;})->pack(-side =>"bottom");

MainLoop;

sub freshen
{
    @selected = $lb->curselection;
    foreach (@selected) {
	print $entries[$_],"\n";
    }
}
